Subject: Re: [bug#76869] [PATCH 3/3] gnu: librewolf: Update to 136.0-2 [security fixes].

From: Ian Eure <[email-masked]>
Date: Tue, 11 Mar 2025 21:21:57 -0700

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> Ian Eure <[email-masked]> writes:
>
>> +;; Temporary, until 76798 merges into core-packages-team, and 
>> that merges into
>> +;; master.
>> +(define libpng-apng-for-librewolf
>> +  (hidden-package
>> +   (package
>> +     (inherit libpng-apng)
>
> That package should be defined in (gnu packages libpng-apng), to 
> avoid
> cyclic import problems down the road (info "(guix) Cyclic Module
> Dependencies").

Huh, okay.  I’ll move it.

> Please try to keep the max column width < 80 columns.  That's 
> why often
> we use something like, to keep the hanging indent small.

Ooh, yeah, some of these have gotten out of hand.

Will fix both issues and push.

> Other than these small things, it LGTM.  I'll try testing it to 
> see
> if the localization issue I had mentioned is resolved.

I haven’t had a chance to look into this / compare with other LW 
packages, so I wouldn’t expect much.

> Thanks for maintaining it!

Happy to!  Thank you for the review.

  -- Ian